%=============================================================================

\NeedsTeXFormat{LaTeX2e}


%==========================================================================
% Declarações preliminares
%==========================================================================

\LoadClass[twoside]{article}
\RequirePackage{times,fancyhdr}

\usepackage{geometry}

%==========================================================================
% Comandos para informações adicionais no preâmbulo
%==========================================================================
\newcommand{\RPGname}{\mbox{{\scriptsize Revista Papa Goiaba }}}
\newcommand{\RPGvolume}[1]{\gdef\@RPGvolume{#1}}
\newcommand{\RPGnumero}[1]{\gdef\@RPGnumero{#1}}
\newcommand{\RPGano}[1]{\gdef\@RPGano{#1}}
\newcommand{\RPGmes}[1]{\gdef\@RPGmes{#1}}
\newcommand{\RPGpaginas}[1]{\gdef\@RPGpaginas{#1}}

%==========================================================================
% Margens e tamanho da página
%==========================================================================



\setlength{\paperwidth}{19cm}\setlength{\paperheight}{29cm}
\setlength{\textwidth}{16cm}\setlength{\textheight}{23cm}
\setlength{\oddsidemargin}{2.5cm}
\setlength{\headheight}{ \baselineskip}
\setlength{\topmargin}{0cm}

%\geometry{\headsep=-0.1pt}


%\baselineskip


%
%==========================================================================
% Definições diversas
%==========================================================================


\setlength{\parindent}{1cm}
\setlength{\parskip}{.21cm \@plus \p@}
\newcommand{\abstractinenglishname}{Abstract}
\newcommand{\keywordsportugues}{Palavras-chave}
\newcommand{\keywordsenglishname}{Keywords}

%==========================================================================
% Cabeçalho e rodapé
%==========================================================================
\fancypagestyle{ultima}{
	\fancyhead{}
	\fancyfoot{}
	\rhead{\includegraphics[scale=0.13]{logo.png}}
	\lhead{ \scriptsize\RPGname, Niter\'oi\\ v.~\@RPGvolume, n.~\@RPGnumero,  \@RPGmes. \@RPGano}
	\lfoot{}
}

 



\renewcommand\footrulewidth{0.0pt}
\renewcommand\headrulewidth{0pt}
\pagestyle{fancy}


\fancyhead[LE]{\thepage} % página par, coloca o número à direita
\fancyfoot[C]{ }
\fancyfoot[L]{\RPGname}
\fancyhead[RO]{\thepage} % página ímpar, exceto a primeira,coloca o número à direita


%==========================================================================
% Título
%==========================================================================
\renewcommand{\maketitle}{%
	\thispagestyle{empty}%
	\begin{center}
        \noindent{\Large\textbf{\@title}\par}
	{\let\and\\\@author}
	\end{center}
}

%==========================================================================
% Resumo / Abstract 
%==========================================================================
\renewenvironment{abstract}{%
        \begin{center}
	\begin{minipage}{14cm}
	{\textbf{\abstractname:}}
}{
        \end{minipage}
	\end{center}
}

\newenvironment{abstractinenglish}{
        \def\abstractname{\abstractinenglishname}
	\begin{abstract}
}{
        \end{abstract}
}

%==========================================================================
% Palavras-chave / Keywords 
%==========================================================================
\newenvironment{keywords}{
        \def\abstractname{\emph{\keywordsportugues}}
	\begin{abstract}
}{
        \end{abstract}
}

\newenvironment{keywordsenglish}{
        \def\abstractname{\emph{\keywordsenglishname}}
	\begin{abstract}
}{
        \end{abstract}
}

%==========================================================================
% Formatação das seções
%==========================================================================
\renewcommand{\section}{%
	\@startsection{section}{1}{0pt}{.49cm}{.21cm}
		      {\reset@font\large\bfseries}
}
\renewcommand{\subsection}{%
	\@startsection{subsection}{2}{0pt}{.42cm}{.07cm}{\reset@font\bfseries}
}
\renewcommand{\subsubsection}{%
	\@startsection{subsubsection}{3}{0pt}{.28cm}{.07cm}
		      {\reset@font\bfseries}
}
\renewcommand{\paragraph}{%
	\@startsection{paragraph}{4}{0pt}{.28cm}{-1em}{\reset@font\itshape}
}

%==========================================================================
% Formatação das legendas de figuras e tabelas
%==========================================================================
\def\@makecaption#1#2{
        \vspace{\abovecaptionskip}
        \parbox{\textwidth}{\centering{#1:}~#2}% nao remover este `%'
        \vspace{\belowcaptionskip}
}

%==========================================================================
% Formatação das notas de rodapé
%==========================================================================
\renewcommand\@makefntext[1]{%
       \parbox[t]{\textwidth}{\mbox{\@makefnmark}#1}
}